<!doctype html>
<head>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <title></title>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <meta name="robots" content="noindex, nofollow">
  <meta name="googlebot" content="noindex, nofollow">
  <meta name="viewport" content="width=device-width, initial-scale=1">


  <script type="text/javascript" src="/js/lib/dummy.js"></script>

    <link rel="stylesheet" type="text/css" href="/css/result-light.css">

  <style type="text/css">
    
  </style>
  <!-- TODO: Missing CoffeeScript 2 -->

  <script type="text/javascript">


    window.onload=function(){
      
	var inputElement = document.getElementById("testFile");
	var cancelButton = document.getElementById("pseudoCancel");
	var aclick = document.getElementById("click");
	var numFiles = 0;

	aclick.onclick = function(){
		alert('click');
	}
	
	inputElement.onclick = function(event) {
	  var target = event.target || event.srcElement;
	  console.log(target, "clicked.");
	  console.log(event);
	  if (target.value.length == 0) {
		console.log("Suspect Cancel was hit, no files selected.");
		cancelButton.onclick();
	  } else {
		console.log("File selected: ", target.value);
		numFiles = target.files.length;
	  }
	}

	inputElement.onchange = function(event) {
	  var target = event.target || event.srcElement;
	  
	  console.log(event);
	  if (target.value.length == 0) {
		console.log("Suspect Cancel was hit, no files selected.");
		if (numFiles == target.files.length) {
		  cancelButton.onclick();
		}
	  } else {
		console.log("File selected: ", target.value);
		numFiles = target.files.length;
	  }
	}

inputElement.onblur = function(event) {
  var target = event.target || event.srcElement;
  console.log(target, "changed.");
  console.log(event);
  if (target.value.length == 0) {
    console.log("Suspect Cancel was hit, no files selected.");
    if (numFiles == target.files.length) {
      cancelButton.onclick();
    }
  } else {
    console.log("File selected: ", target.value);
    numFiles = target.files.length;
  }
}


cancelButton.onclick = function(event) {
  console.log("Pseudo Cancel button clicked.");
}


}

</script>

</head>

<form>
  Select File:
  <input type="file" name="test1" id="testFile" />
  <button type="reset" id="pseudoCancel">
    Cancel
  </button>
  <span id="click">clicker</span>
  
</form>